"""create table for playlists

Revision ID: 9a8d7b4c16e4
Revises: 0001
Create Date: 2023-05-24 14:27:37.837496

"""
from alembic import op
import sqlalchemy as sa
from sqlalchemy.sql import func
import uuid

# revision identifiers, used by Alembic.
revision = '9a8d7b4c16e4'
down_revision = '0001'
branch_labels = None
depends_on = None


def upgrade():
    op.create_table(
        'playlists',
        sa.Column('id', sa.String(36), primary_key=True, default=lambda: str(uuid.uuid4())),
        sa.Column('name', sa.String(), nullable=False),
        sa.Column('description', sa.String(), nullable=True),
        sa.Column('created_at', sa.DateTime(), server_default=func.now()),
        sa.Column('updated_at', sa.DateTime(), server_default=func.now(), onupdate=func.now()),
        sa.Column('user_id', sa.String(36), nullable=False),
    )
    op.create_table(
        'playlist_songs',
        sa.Column('id', sa.String(36), primary_key=True, default=lambda: str(uuid.uuid4())),
        sa.Column('playlist_id', sa.String(36), nullable=False),
        sa.Column('song_id', sa.String(36), nullable=False),
        sa.Column('created_at', sa.DateTime(), server_default=func.now()),
        sa.Column('updated_at', sa.DateTime(), server_default=func.now(), onupdate=func.now()),
        sa.ForeignKeyConstraint(['playlist_id'], ['playlists.id'], ),
        sa.ForeignKeyConstraint(['song_id'], ['songs.id'], ),
    )


def downgrade():
    op.drop_table('playlist_songs')
    op.drop_table('playlists')