"""create table for contacts

Revision ID: 7c3d1a0f9b6c
Revises: 9a8d7b4c16e4
Create Date: 2023-05-23 12:34:56.789012

"""
from alembic import op
import sqlalchemy as sa
from sqlalchemy.sql import func

# revision identifiers, used by Alembic.
revision = '7c3d1a0f9b6c'
down_revision = '9a8d7b4c16e4'
branch_labels = None
depends_on = None


def upgrade():
    op.create_table(
        'contacts',
        sa.Column('id', sa.String(36), primary_key=True),
        sa.Column('name', sa.String(), nullable=False),
        sa.Column('email', sa.String(), nullable=False),
        sa.Column('message', sa.Text(), nullable=False),
        sa.Column('created_at', sa.Text(), server_default=func.now()),
        sa.Column('updated_at', sa.Text(), server_default=func.now(), onupdate=func.now())
    )


def downgrade():
    op.drop_table('contacts')