"""create table for books
Revision ID: 2a6c9d7ef8b4
Revises: 7c3d1a0f9b6c
Create Date: 2023-05-24 12:34:56

"""
from alembic import op
import sqlalchemy as sa
from sqlalchemy.sql import func

# revision identifiers, used by Alembic.
revision = '2a6c9d7ef8b4'
down_revision = '7c3d1a0f9b6c'
branch_labels = None
depends_on = None


def upgrade():
    op.create_table(
        'books',
        sa.Column('id', sa.String(36), primary_key=True, default=sa.text("uuid_generate_v4()")),
        sa.Column('title', sa.String(), nullable=False),
        sa.Column('author', sa.String(), nullable=False),
        sa.Column('description', sa.String(), nullable=True),
        sa.Column('isbn', sa.String(), nullable=False, unique=True, index=True),
        sa.Column('pages', sa.Integer(), nullable=False),
        sa.Column('publisher_id', sa.String(36), nullable=False),
        sa.Column('created_at', sa.DateTime(), server_default=func.now()),
        sa.Column('updated_at', sa.DateTime(), server_default=func.now(), onupdate=func.now()),
        sa.ForeignKeyConstraint(['publisher_id'], ['publishers.id'], )
    )


def downgrade():
    op.drop_table('books')