"""create table for toys
Revision ID: 2f3c6a7d0a2e
Revises: 2a6c9d7ef8b4
Create Date: 2023-05-23 15:21:16.843141
"""
from alembic import op
import sqlalchemy as sa
from sqlalchemy.sql import func

# revision identifiers, used by Alembic.
revision = '2f3c6a7d0a2e'
down_revision = '2a6c9d7ef8b4'
branch_labels = None
depends_on = None

def upgrade():
    table_name = "toys"

    op.create_table(
        table_name,
        sa.Column('id', sa.String(36), primary_key=True, default=func.uuid_generate_v4()),
        sa.Column('name', sa.String(), nullable=False),
        sa.Column('description', sa.String(), nullable=True),
        sa.Column('price', sa.Integer(), nullable=False),
        sa.Column('created_at', sa.DateTime(), server_default=sa.func.now()),
        sa.Column('updated_at', sa.DateTime(), server_default=sa.func.now(), onupdate=sa.func.now())
    )

def downgrade():
    table_name = "toys"
    op.drop_table(table_name)