from fastapi import APIRouter, status
from schemas.book import BookCreate, BookSchema
from helpers.book_helpers import create_book
from sqlalchemy.orm import Session
from fastapi import Depends
from core.database import get_db

router = APIRouter()

@router.post("/books", status_code=status.HTTP_201_CREATED, response_model=BookSchema)
async def create_new_book(
    book: BookCreate,
    db: Session = Depends(get_db)
):
    """Create a new book"""
    new_book = create_book(db=db, book_data=book)
    return new_book