from fastapi import APIRouter, Depends
from typing import List
from sqlalchemy.orm import Session
from core.database import get_db
from schemas.playlist import PlaylistSongSchema
from helpers.playlist_helpers import get_playlist_songs

router = APIRouter()

@router.get("/song-list", status_code=200, response_model=List[PlaylistSongSchema])
async def get_songs_from_playlist(
    playlist_id: str,
    db: Session = Depends(get_db)
):
    songs = get_playlist_songs(db, playlist_id)
    return songs