from pydantic import BaseModel, Field, EmailStr
from datetime import datetime
from uuid import UUID

class ContactBase(BaseModel):
    name: str = Field(..., description="Contact's name")
    email: EmailStr = Field(..., description="Contact's email address")
    message: str = Field(..., description="Contact's message")

class ContactCreate(ContactBase):
    pass

class ContactSchema(ContactBase):
    id: UUID
    created_at: datetime
    updated_at: datetime

    class Config:
        orm_mode = True