from pydantic import BaseModel, Field
from typing import Optional
from datetime import datetime
import uuid

class ToyBase(BaseModel):
    name: str = Field(..., description="Name of the toy")
    description: Optional[str] = Field(None, description="Description of the toy")
    price: int = Field(..., description="Price of the toy")

class ToyCreate(ToyBase):
    pass

class ToyUpdate(ToyBase):
    name: Optional[str] = Field(None, description="Name of the toy")
    description: Optional[str] = Field(None, description="Description of the toy")
    price: Optional[int] = Field(None, description="Price of the toy")

class ToySchema(ToyBase):
    id: uuid.UUID
    created_at: datetime
    updated_at: datetime

    class Config:
        orm_mode = True